function drawGrid(g, axis_handle)
S = g.region_info.Springs.S;
order =g.region_info.order;
Edgs = g.region_info.Springs.Edgs;
shape_springs = g.region_info.Springs.shape_springs;
shape = g.region_info.shape;
%display_grid(S, Edgs, order, axis_handle, [1 0 0], 2);
display_edges(S, Edgs, axis_handle);
%display_springs(S, axis_handle, 1);
%display_shape_springs(S, Edgs, shape_springs);
%display_organ_shape(shape, axis_handle, [1 0 0], 2);
drawnow;
return;